<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.system.mapper.SysRecipeFoodIngredientMapper">
    <select id="selectRecipeFood" resultType="org.dromara.system.domain.SysFoodIngredient">
        select f.*, c.quantity,c.remark,c.calories caloriesForInput
        from sys_food_ingredient f join sys_recipe_food_ingredient c on c.food_ingredient_id=f.food_ingredient_id
        where c.recipe_id=#{recipeId} and f.del_flag='0'
    </select>
</mapper>
